List post filters
Posts
List post filters
Returns the available filter keys and their valid values for post search. Use this to discover what filters your team can apply before calling POST /posts/search.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
import requests
url = "https://app.oneperfectslice.ai/api/public/v1/posts/filters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.oneperfectslice.ai/api/public/v1/posts/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.oneperfectslice.ai/api/public/v1/posts/filters \
--header 'Authorization: Bearer <token>'{
"data": {
"filters": [
{
"key": "templateType",
"displayName": "Template Type",
"values": [
{
"key": "scorecard",
"displayName": "Scorecard"
}
]
}
]
}
}Returns the available filter keys and their valid values for post search. Use this to discover what filters your team can apply before calling POST /posts/search.
import requests
url = "https://app.oneperfectslice.ai/api/public/v1/posts/filters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.oneperfectslice.ai/api/public/v1/posts/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.oneperfectslice.ai/api/public/v1/posts/filters \
--header 'Authorization: Bearer <token>'{
"data": {
"filters": [
{
"key": "templateType",
"displayName": "Template Type",
"values": [
{
"key": "scorecard",
"displayName": "Scorecard"
}
]
}
]
}
}